%define upstream_name    Lingua-EN-Inflect-Phrase
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Inflect short English Phrases
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.630.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Lingua::EN::FindNumber)
BuildRequires: perl(Lingua::EN::Inflect) >= 1.891.0
BuildRequires: perl(Lingua::EN::Inflect::Number) >= 1.100.0
BuildRequires: perl(Lingua::EN::Number::IsOrdinal)
BuildRequires: perl(Lingua::EN::Tagger) >= 0.230.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::NoWarnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Attempts to pluralize or singularize short English phrases.

If it doesn't work, please email or submit to RT the example you tried, and
I'll try to fix it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-5.mga5
+ Revision: 744701
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.180.0-4.mga5
+ Revision: 733108
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-3.mga5
+ Revision: 685206
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 537300
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 486718
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 369010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 315119
- update to 0.16

* Mon Oct 01 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 301276
- update to 0.15

* Wed Sep 26 2012 jquelin <jquelin> 0.140.0-1.mga3
+ Revision: 298284
- update to 0.14

* Mon Sep 10 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 291699
- update to 0.13

* Wed Jan 25 2012 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 200895
- update to 0.12

* Mon Dec 19 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 184206
- update to 0.11

* Thu Nov 03 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 162231
- update to 0.10

* Thu Oct 13 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 154342
- update to 0.08

* Mon Jan 24 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 37067
- mageia rebuild
- imported package perl-Lingua-EN-Inflect-Phrase

